Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.wsdl
Interface WSDLConstants

All Known Implementing Classes:
  AxisOperation, AxisOperationFactory, InOnlyAxisOperation, InOutAxisOperation, OperationContextFactory, OutInAxisOperation, OutOnlyAxisOperation, RobustOutOnlyAxisOperation, TwoChannelAxisOperation

    public interface WSDLConstants

Nested Class Summary
`static interface` | `WSDLConstants.WSDL11Constants`
`static interface` | `WSDLConstants.WSDL20_2004_Constants`
`static interface` | `WSDLConstants.WSDL20_2006Constants`

Field Summary
`static String` | `HTTP_HEADER`
`static String` | `INPUT_PART_QNAME_SUFFIX`
`static int` | `MEP_CONSTANT_IN_ONLY`
`static int` | `MEP_CONSTANT_IN_OPTIONAL_OUT`
`static int` | `MEP_CONSTANT_IN_OUT`
`static int` | `MEP_CONSTANT_INVALID`
`static int` | `MEP_CONSTANT_OUT_IN`
`static int` | `MEP_CONSTANT_OUT_ONLY`
`static int` | `MEP_CONSTANT_OUT_OPTIONAL_IN`
`static int` | `MEP_CONSTANT_ROBUST_IN_ONLY`
`static int` | `MEP_CONSTANT_ROBUST_OUT_ONLY`
`static String` | `MESSAGE_LABEL_FAULT_VALUE`
`static byte` | `MESSAGE_LABEL_IN` Constant to represent the message label "In" which is used by the following WSDL 2.0 defined MEPs: In-Only, Robust In-Only, In-Out, In-Optional-Out, Out-In, Out-Optional-In.
`static String` | `MESSAGE_LABEL_IN_VALUE`
`static int` | `MESSAGE_LABEL_OUT` Constant to represent the message label "Out" which is used by the following WSDL 2.0 defined MEPs: In-Out, In-Optional-Out, Out-Only, Robust Out-Only, Out-In, Out-Optional-In.
`static String` | `MESSAGE_LABEL_OUT_VALUE`
`static String` | `OUTPUT_PART_QNAME_SUFFIX`
`static String` | `SOAP_HEADER`
`static String` | `STYLE_DOC`
`static String` | `STYLE_MSG`
`static String` | `STYLE_RPC`
`static int` | `WSDL_1_1`
`static String` | `WSDL_1_1_STYLE`
`static int` | `WSDL_2_0`
`static String` | `WSDL_20_DESCRIPTION`
`static String` | `WSDL_4_J_DEFINITION`
`static String` | `WSDL_MESSAGE_DIRECTION_IN` Field WSDL_MESSAGE_DIRECTION_IN
`static String` | `WSDL_MESSAGE_DIRECTION_OUT` Field WSDL_MESSAGE_DIRECTION_OUT
`static String` | `WSDL_MESSAGE_IN_MESSAGE`
`static String` | `WSDL_MESSAGE_OUT_MESSAGE`
`static String` | `WSDL_USE_ENCODED`
`static String` | `WSDL_USE_LITERAL`
`static String` | `WSDL1_1_NAMESPACE` Field WSDL1_1_NAMESPACE
`static String` | `WSDL2_0_NAMESPACE` Field WSDL2_0_NAMESPACE

Field Detail

### WSDL_1_1_STYLE

    static final String WSDL_1_1_STYLE

See Also:
  Constant Field Values

### STYLE_RPC

    static final String STYLE_RPC

See Also:
  Constant Field Values

### STYLE_DOC

    static final String STYLE_DOC

See Also:
  Constant Field Values

### STYLE_MSG

    static final String STYLE_MSG

See Also:
  Constant Field Values

### WSDL_4_J_DEFINITION

    static final String WSDL_4_J_DEFINITION

See Also:
  Constant Field Values

### WSDL_20_DESCRIPTION

    static final String WSDL_20_DESCRIPTION

See Also:
  Constant Field Values

### WSDL2_0_NAMESPACE

    static final String WSDL2_0_NAMESPACE

  Field WSDL2_0_NAMESPACE

  See Also:
    Constant Field Values

### WSDL1_1_NAMESPACE

    static final String WSDL1_1_NAMESPACE

  Field WSDL1_1_NAMESPACE

  See Also:
    Constant Field Values

### WSDL_MESSAGE_DIRECTION_IN

    static final String WSDL_MESSAGE_DIRECTION_IN

  Field WSDL_MESSAGE_DIRECTION_IN

  See Also:
    Constant Field Values

### WSDL_MESSAGE_IN_MESSAGE

    static final String WSDL_MESSAGE_IN_MESSAGE

See Also:
  Constant Field Values

### WSDL_MESSAGE_OUT_MESSAGE

    static final String WSDL_MESSAGE_OUT_MESSAGE

See Also:
  Constant Field Values

### SOAP_HEADER

    static final String SOAP_HEADER

See Also:
  Constant Field Values

### HTTP_HEADER

    static final String HTTP_HEADER

See Also:
  Constant Field Values

### WSDL_MESSAGE_DIRECTION_OUT

    static final String WSDL_MESSAGE_DIRECTION_OUT

  Field WSDL_MESSAGE_DIRECTION_OUT

  See Also:
    Constant Field Values

### MESSAGE_LABEL_IN

    static final byte MESSAGE_LABEL_IN

  Constant to represent the message label "In" which is used by the following WSDL 2.0 defined MEPs: In-Only, Robust In-Only, In-Out, In-Optional-Out, Out-In, Out-Optional-In.

  See Also:
    Constant Field Values

### MESSAGE_LABEL_IN_VALUE

    static final String MESSAGE_LABEL_IN_VALUE

See Also:
  Constant Field Values

### MESSAGE_LABEL_FAULT_VALUE

    static final String MESSAGE_LABEL_FAULT_VALUE

See Also:
  Constant Field Values

### MESSAGE_LABEL_OUT

    static final int MESSAGE_LABEL_OUT

  Constant to represent the message label "Out" which is used by the following WSDL 2.0 defined MEPs: In-Out, In-Optional-Out, Out-Only, Robust Out-Only, Out-In, Out-Optional-In.

  See Also:
    Constant Field Values

### MESSAGE_LABEL_OUT_VALUE

    static final String MESSAGE_LABEL_OUT_VALUE

See Also:
  Constant Field Values

### WSDL_USE_LITERAL

    static final String WSDL_USE_LITERAL

See Also:
  Constant Field Values

### WSDL_USE_ENCODED

    static final String WSDL_USE_ENCODED

See Also:
  Constant Field Values

### WSDL_1_1

    static final int WSDL_1_1

See Also:
  Constant Field Values

### WSDL_2_0

    static final int WSDL_2_0

See Also:
  Constant Field Values

### INPUT_PART_QNAME_SUFFIX

    static final String INPUT_PART_QNAME_SUFFIX

See Also:
  Constant Field Values

### OUTPUT_PART_QNAME_SUFFIX

    static final String OUTPUT_PART_QNAME_SUFFIX

See Also:
  Constant Field Values

### MEP_CONSTANT_OUT_IN

    static final int MEP_CONSTANT_OUT_IN

See Also:
  Constant Field Values

### MEP_CONSTANT_OUT_ONLY

    static final int MEP_CONSTANT_OUT_ONLY

See Also:
  Constant Field Values

### MEP_CONSTANT_IN_ONLY

    static final int MEP_CONSTANT_IN_ONLY

See Also:
  Constant Field Values

### MEP_CONSTANT_ROBUST_IN_ONLY

    static final int MEP_CONSTANT_ROBUST_IN_ONLY

See Also:
  Constant Field Values

### MEP_CONSTANT_IN_OUT

    static final int MEP_CONSTANT_IN_OUT

See Also:
  Constant Field Values

### MEP_CONSTANT_IN_OPTIONAL_OUT

    static final int MEP_CONSTANT_IN_OPTIONAL_OUT

See Also:
  Constant Field Values

### MEP_CONSTANT_OUT_OPTIONAL_IN

    static final int MEP_CONSTANT_OUT_OPTIONAL_IN

See Also:
  Constant Field Values

### MEP_CONSTANT_INVALID

    static final int MEP_CONSTANT_INVALID

See Also:
  Constant Field Values

### MEP_CONSTANT_ROBUST_OUT_ONLY

    static final int MEP_CONSTANT_ROBUST_OUT_ONLY

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.